import "layer92.dll"

UserLoad()
{
   //LoadScriptModule("user\\usstavka");
   LoadScriptModule("user\\usalg");
   LoadScriptModule("user\\usconst");
   LoadScriptModule("user\\UsSetSim");
   //LoadScriptModule("user\\UsAvans");
   //LoadScriptModule("user\\UsVBrig");
   //LoadScriptModule("user\\UsSluice");
   LoadScriptModule("user\\UsFuncRW");
   LoadScriptModule("user\\UsInit");
   LoadScriptModule("user\\UsShifrZ");
   LoadScriptModule("user\\UsKaslib");
   LoadScriptModule("user\\UsIntegr");



/*
   // автоматический запуск компиляции проекта SCRIPT\user\KZ.USER после каждого обновления
   if (!access(GetRscaltPath("version.old"),0))
   {
     string dir = GetRscaltPath("..\\SCRIPT\\USER\\KZ.User");
     string cmd = "cmd.exe /c \""+dir+"\\compile.bat\"";
     int res= Execute("",cmd,SW_SHOWNORMAL,true,"Компиляция KZ.User",dir);
     if (res!=0) 
     {
       MsgBox("Ошибка компиляции KZ.User","",MB_ICONSTOP);
       quit(1);
     }
   }
*/

}
bool LoggerOn=false;
UserAddLoad()
{
  // необходимые действия после полной загрузки программы
   if( LoggerOn ) 
   {
      LoadScriptModule("user\\Logger");
      InitLogger();
   }

}